#include <iostream>
#include "../H/engine.h"
#include "../H/sounds.h"

void ManageSounds(Engine engine){
    std::cout << "walking" << std::endl;
}

int main()
{   
    Engine engine;
    Sounds sounds;
    std::thread t(&Sounds::ManageSounds, &sounds, &engine);
    engine.SetMaxFps(60);
    engine.Start("TheLandofWildBlocs", 800, 600, true);
    return 0;
}
